/*
 * LED.c
 *
 *  Created on: Apr 19, 2024
 *      Author: Carst
 */

#include <stdbool.h>
#include "stm32g0xx_ll_gpio.h"
#include "tx_api.h"

extern TX_QUEUE q_LED;

void LED(ULONG thread_input)
{
  (void)thread_input;
  uintptr_t *msg;

  while(true)
  {
    tx_queue_receive(&q_LED, &msg, TX_WAIT_FOREVER);

    LL_GPIO_TogglePin(GPIOA, LL_GPIO_PIN_10);
  }
}
